APM(1)

NAME
apm - query Advanced Power Management (APM) BIOS

SYNOPSIS
apm [ -vVmsS ]

DESCRIPTION
apm reads /proc/apm and presents the output in a human-readable format. Since primarily battery status information is provided, this command is most useful on laptops with a compliant APM BIOS. apm also allows the machine to be put into standby or suspend mode.

OPTIONS

-V, --version
    Print the apm program version and exit immediately.

-v, --verbose
    Print information about the APM BIOS version and Linux APM driver version.

-m, --minutes
    Print total minutes remaining instead of using an hh:mm format.

-s, --suspend
    Put the machine into suspend mode if possible.

-S, --standby
    Put the machine into standby mode if possible.

-i, --ignore
    Tell the system to ignore system-generated APM suspend and standby events when on AC power. This may be useful to users who have laptops and want APM events when on battery power, but not when on AC power.

-n, --noignore
    Tell the system not to ignore system-generated APM suspend and standby events when on AC power. This is the default mode; this option is provided as a way to undo a proir "apm -i" call.

BUGS
This program requires a post-1.3.57 kernel.  This program will not work
    with older kernels or with the APM patches, since the format for /proc/apm has changed radically.

FILES
/proc/apm
linux/drivers/char/apm_bios.c

AUTHOR
This program was written by Rik Faith (faith@cs.unc.edu) and may be freely distributed under the terms of the GNU General Public License. There is ABSOLUTELY NO WARRANTY for this program. The current maintainer is Avery Pennarun (apenwarr@worldvisions.ca).

SEE ALSO
xapm(1), apmd(8)